Subject: Re: JGIT: discuss: diff/patch implementation

From: Francis Galiegue <[email-masked]>
Date: Mon, 10 Nov 2008 17:16:28 +0100

Le Monday 10 November 2008 16:56:35 Robin Rosenberg, vous avez écrit :
[...]
> >
> > I found this:
> >
> > http://code.google.com/p/google-diff-match-patch
> >
> > Its license is the Apache 2.0 license. It implements the same algorithm
> > than git's internal diff engine ("An O(ND) Difference Algorithm and its
> > Variations", by Eugene Myers), and as far as I can tell so far (IANAL,
> > far from it), it is compatible with JGit's current license.
> >
> > Could this be a viable candidate?
>
> Our approach was to do just that, for the very reasons you mention.
> I'll have a look. Thanks for doing some research for us. That project was
> unknown to me..
>
> -- robin

Well, this API has a problem from the get go, since it does... Char by char 
comparison. Ouch.

I'll try and hack it so that it does line by line, but given my Java skills, 
uh...

-- 
fge